Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.ogcwebservices.wass.common
Class WASSSecurityManager

    java.lang.Object
      org.deegree.ogcwebservices.wass.common.WASSSecurityManager

    public class WASSSecurityManager

extends Object

This class will hold the SecurityAccessManager Instance and will be able to parse the user/password key for the security database.

Version:
  $Revision: 18195 $, $Date: 2009-06-18 17:55:39 +0200 (Do, 18. Jun 2009) $
Author:
  Rutger Bezema, last edited by: $Author: mschneider $

Constructor Summary
`WASSSecurityManager(JDBCConnection dbInfo)` This constructor initializes the connection to the security database.

Method Summary
`SecurityAccessManager` | `getSecurityAccessManager()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WASSSecurityManager

    public WASSSecurityManager(JDBCConnection dbInfo)
                        throws GeneralSecurityException

  This constructor initializes the connection to the security database.

  Parameters:
    `dbInfo` - a database information object
  Throws:
    `GeneralSecurityException`

Method Detail

### getSecurityAccessManager

    public SecurityAccessManager getSecurityAccessManager()
                                                   throws GeneralSecurityException

  Returns:
    Returns the deegree securityAccessManager.
  Throws:
    `GeneralSecurityException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org